Bug 152770 - sysutils/duplicity-devel/ throws ioctl sign-extension ioctl ffffffff80087467
Summary: sysutils/duplicity-devel/ throws ioctl sign-extension ioctl ffffffff80087467
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-02 09:50 UTC by claudius
Modified: 2015-11-29 13:27 UTC (History)
2 users (show)

See Also:


Attachments
patch-pexpect.py (1.18 KB, text/x-python)
2011-02-27 14:40 UTC, claudius
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description claudius 2010-12-02 09:50:06 UTC
when using duplicity ssh backend for example:
duplicity full / ssh://user@host/backup/
dmesg shows:

WARNING pid 53481 (python2.7): ioctl sign-extension ioctl ffffffff80087467
WARNING pid 53520 (python2.7): ioctl sign-extension ioctl ffffffff80087467
WARNING pid 53551 (python2.7): ioctl sign-extension ioctl ffffffff80087467
WARNING pid 53819 (python2.7): ioctl sign-extension ioctl ffffffff80087467
WARNING pid 53960 (python2.7): ioctl sign-extension ioctl ffffffff80087467
WARNING pid 54061 (python2.7): ioctl sign-extension ioctl ffffffff80087467
WARNING pid 54093 (python2.7): ioctl sign-extension ioctl ffffffff80087467

same problem with python26
WARNING pid 82976 (python2.6): ioctl sign-extension ioctl ffffffff80087467
WARNING pid 82982 (python2.6): ioctl sign-extension ioctl ffffffff80087467
WARNING pid 82985 (python2.6): ioctl sign-extension ioctl ffffffff80087467
WARNING pid 82990 (python2.6): ioctl sign-extension ioctl ffffffff80087467
WARNING pid 82995 (python2.6): ioctl sign-extension ioctl ffffffff80087467
WARNING pid 82998 (python2.6): ioctl sign-extension ioctl ffffffff80087467

Fix: 

maybe related:
http://comments.gmane.org/gmane.comp.sysutils.backup.duplicity.general/2467
How-To-Repeat: Use duplicity with ssh backend
Comment 1 Edwin Groothuis freebsd_committer 2010-12-02 09:50:10 UTC
Maintainer of sysutils/duplicity-devel,

Please note that PR ports/152770 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/152770

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-12-02 09:50:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Sahil Tandon freebsd_committer 2011-02-13 21:45:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

Take.
Comment 4 claudius 2011-02-27 14:40:22 UTC
There is already a fix for this problem in py-pexpect 2.4_1

http://www.freebsd.org/cgi/cvsweb.cgi/ports/misc/py-pexpect/files/patch-pexpect.py?rev=1.3;content-type=text%2Fplain
Comment 5 Sahil Tandon freebsd_committer 2011-02-27 15:07:18 UTC
State Changed
From-To: feedback->closed

submitter reports that the problem is no longer present.
Comment 6 Claudius Herder 2011-02-27 18:53:37 UTC
Sorry for the misleading information, but the mentioned patch only
affects the port py-pexpect 2.4_1, duplicity uses it's own pexpect in
/usr/local/lib/python2.7/site-packages/duplicity/pexpect.py which isn't
patched and throws WARNING pid 54093 (python2.7): ioctl sign-extension
ioctl ffffffff80087467 messages.
Comment 7 pj 2012-03-31 13:31:06 UTC
The issue still exists, since the duplicity people ship their own =
(broken) pexpect library.
What would be nice to have the duplicity port have a dependency on the =
py-pexpect port and link to those files instead of using the pexpect =
library that comes with duplicity.

Philip
Comment 8 zsolt.ero 2015-11-29 03:21:35 UTC
Any possible solution for this? This issue is 5 years old now and it's still effecting syslog.

It is not fixed as pkg install duplicity version is polluting syslog. Using FreeBSD 10.2.
Comment 9 claudius 2015-11-29 09:30:07 UTC
From the duplicity 7.0 Changelog:
  "- Drop our local copy of pexpect in favor of a system version."

I wrote a patch to update duplictiy in ports and depend on py-pexpect

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=199892
Comment 10 zsolt.ero 2015-11-29 13:19:00 UTC
claudius it looks great, so basically we just need to use 0.7 branch and it's fixed in a clean way.

One tiny thing: I'm not using it over ssh, but it still creates the pexpect lines. I'm using par2+dpbx and I think possibly par2 needs pexpect as well. Or dpbx, I'll check if needed.

So what's needed to have your patch be accepted into the pkg? Is the current maintainer
Comment 11 zsolt.ero 2015-11-29 13:20:32 UTC
... (sorry, I tried to add a CC and it sent me the whole message) ...

Does the current maintainer @jase know about this patch?
Comment 12 claudius 2015-11-29 13:27:33 UTC
I don't know if jase is still active.
I only opened the bug report and didn't tried to contact him directly.